%global unicodedir %{_datadir}/unicode
%global emojidir %{unicodedir}/emoji

Name:           unicode-emoji
Version:        16.0
Release:        %mkrel 1
Summary:        Unicode Emoji Data Files
Group:          System/Internationalization
License:        Unicode
URL:            https://www.unicode.org/emoji/
Source0:        https://www.unicode.org/copyright.html#/copyright-%{version}.html
Source1:        https://www.unicode.org/Public/emoji/%{version}/ReadMe.txt#/ReadMe-%{version}.txt
Source2:        https://www.unicode.org/Public/15.1.0/ucd/emoji/emoji-data.txt
Source3:        https://www.unicode.org/Public/emoji/%{version}/emoji-sequences.txt#/emoji-sequences-%{version}.txt
Source4:        https://www.unicode.org/Public/emoji/%{version}/emoji-test.txt#/emoji-test-%{version}.txt
Source5:        https://www.unicode.org/Public/15.1.0/ucd/emoji/emoji-variation-sequences.txt
Source6:        https://www.unicode.org/Public/emoji/%{version}/emoji-zwj-sequences.txt#/emoji-zwj-sequences-%{version}.txt
BuildArch:      noarch

%description
Unicode Emoji Data Files are the machine-readable
emoji data files associated with
https://www.unicode.org/reports/tr51/index.html

%prep
%{nil}

%build
%{nil}

%install
cp -p %{SOURCE0} copyright.html
mkdir -p %{buildroot}%{emojidir}
cp -p %{SOURCE1} %{buildroot}%{emojidir}/ReadMe.txt
cp -p %{SOURCE2} %{buildroot}%{emojidir}/emoji-data.txt
cp -p %{SOURCE3} %{buildroot}%{emojidir}/emoji-sequences.txt
cp -p %{SOURCE4} %{buildroot}%{emojidir}/emoji-test.txt
cp -p %{SOURCE5} %{buildroot}%{emojidir}/emoji-variation-sequences.txt
cp -p %{SOURCE6} %{buildroot}%{emojidir}/emoji-zwj-sequences.txt

%files
%license copyright.html
%dir %{unicodedir}
%dir %{emojidir}
%doc %{emojidir}/ReadMe.txt
%{emojidir}/emoji-*txt


%changelog
* Mon Oct 07 2024 daviddavid <daviddavid> 16.0-1.mga10
+ Revision: 2104036
- new version: 16.0

* Wed May 15 2024 daviddavid <daviddavid> 15.1-1.mga10
+ Revision: 2064325
- new version: 15.1

* Mon Mar 21 2022 umeabot <umeabot> 13.0-2.mga9
+ Revision: 1812516
- Mageia 9 Mass Rebuild

* Mon Apr 06 2020 kekepower <kekepower> 13.0-1.mga8
+ Revision: 1565250
- Update to version 13.0

* Fri Feb 14 2020 umeabot <umeabot> 11.0-2.mga8
+ Revision: 1521754
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 wally <wally> 11.0-1.mga7
+ Revision: 1347510
- new version 11.0

* Wed Sep 19 2018 umeabot <umeabot> 4.0-2.mga7
+ Revision: 1276936
- Mageia 7 Mass Rebuild

* Tue May 16 2017 yochenhsieh <yochenhsieh> 4.0-1.mga6
+ Revision: 1102064
- imported package unicode-emoji

